import { ConfigAPI, TransformOptions } from '@babel/core';
import { Options as PresetEnvOptions } from '@babel/preset-env';
export declare type Options = Partial<{
    'preset-env': PresetEnvOptions;
    'preset-react': Partial<{
        pragma: string;
        development: boolean;
        pragmaFrag: string;
        throwIfNamespace: boolean;
        runtime: string;
        importSource: string;
        useBuiltIns: boolean;
        useSpread: boolean;
    }>;
    'preset-typescript': Partial<{
        isTSX: boolean;
        jsxPragma: string;
        jsxPragmaFrag: string;
        allExtensions: boolean;
        allowNamespaces: boolean;
        allowDeclareFields: boolean;
        disallowAmbiguousJSXLike: boolean;
        onlyRemoveTypeImports: boolean;
        optimizeConstEnums: boolean;
    }>;
    'class-properties': Partial<{
        loose: boolean;
    }>;
    'transform-runtime': Partial<{
        corejs: false | 2 | 3 | {
            version: 2 | 3;
            proposals: boolean;
        };
        helpers: boolean;
        regenerator: boolean;
        useESModules: boolean;
        absoluteRuntime: boolean | string;
        version: string;
    }>;
}>;
export declare const isNotFalse: <T>(item: false | T | null | undefined) => item is T;
declare const index: (api: ConfigAPI, options?: Options) => TransformOptions;
export default index;
